var city_arr = ['运城','晋中','大同','朔州','临沂','日照','聊城','泰安','菏泽','青岛','潍坊','济宁','济南','盐城','淮安','南通','西安','石家庄', '沧州', '唐山', '邯郸', '保定', '廊坊', '邢台', '张家口', '呼和浩特', '包头', '鄂尔多斯', '通辽', '兴安盟', '乌兰察布', '集宁', '抚州', '赣州', '吉安', '景德镇', '九江', '南昌', '萍乡', '上饶', '新余', '宜春', '鹰潭', '沈阳', '绵阳', '齐齐哈尔', '平顶山', '濮阳', '三门峡', '商丘', '新乡', '信阳', '许昌', '郑州', '周口', '驻马店', '安阳', '鹤壁', '济源', '焦作', '开封', '洛阳', '漯河', '南阳', '大理', '佛山', '清远', '肇庆', '韶关', '河源', '云浮', '潮州','东莞', '广州', '惠州', '江门', '揭阳', '茂名', '梅州', '汕头', '汕尾', '深圳', '阳江', '湛江', '中山', '珠海', '长春', '吉林', '四平', '辽源', '通化', '白山', '松原', '白城', '延边', '邵阳', '宿迁', '临汾', '连云港', '宣城', '宿迁', '宿迁', '沧州', '成都', '南充', '沧州', '合肥', '酒泉', '遵义', '安庆'];
var res_json=[];

function readMobile(json) {
    var table = $('#table');
    for(var i=0;i<=json.length;i++)
    {
        var vo = json[i];
        if(vo.Q2_您的电话 != undefined)
        {
            var mobile = vo.Q2_您的电话;
            if(vo.登录用户名 == undefined){vo.登录用户名 = '';}
            if(vo.登录密码 == undefined){vo.登录密码=''}
            var res = ajax(mobile);
            var city = res.city;
            var province = res.province;
            if(city_arr.indexOf(city) == -1)
            {
                vo.省=province;
                vo.市=city;
                res_json.push(vo);
                var html = "<tr>\n" +
                    "            <td>"+vo.答卷编号+"</td>\n" +
                    "            <td>"+vo.IP地址+"</td>\n" +
                    "            <td>"+vo.浏览器+"</td>\n" +
                    "            <td>"+vo.操作系统+"</td>\n" +
                    "            <td>"+vo.Q1_选择科目+"</td>\n" +
                    "            <td>"+vo.Q2_您的电话+"</td>\n" +
                    "            <td>"+vo.登录用户名+"</td>\n" +
                    "            <td>"+vo.登录密码+"</td>\n" +
                    "            <td>"+vo.省+"</td>\n" +
                    "            <td>"+vo.市+"</td>\n" +
                    "        </tr>";
                table.append(html)
            }
        }

    }
}

function downloadExl(json, type) {
    var tmpdata = json[0];
    json.unshift({});
    var keyMap = []; //获取keys
    for (var k in tmpdata) {
        keyMap.push(k);
        json[0][k] = k;
    }
    var tmpdata = [];//用来保存转换好的json
    json.map((v, i) => keyMap.map((k, j) => Object.assign({}, {
        v: v[k],
        position: (j > 25 ? getCharCol(j) : String.fromCharCode(65 + j)) + (i + 1)
    }))).reduce((prev, next) => prev.concat(next)).forEach((v, i) => tmpdata[v.position] = {
        v: v.v
    });
    var outputPos = Object.keys(tmpdata); //设置区域,比如表格从A1到D10
    var tmpWB = {
        SheetNames: ['mySheet'], //保存的表标题
        Sheets: {
            'mySheet': Object.assign({},
                tmpdata, //内容
                {
                    '!ref': outputPos[0] + ':' + outputPos[outputPos.length - 1] //设置填充区域
                })
        }
    };
    tmpDown = new Blob([s2ab(XLSX.write(tmpWB,
        {bookType: (type == undefined ? 'xlsx':type),bookSST: false, type: 'binary'}//这里的数据是用来定义导出的格式类型
    ))], {
        type: ""
    }); //创建二进制对象写入转换好的字节流
    var href = URL.createObjectURL(tmpDown); //创建对象超链接
    document.getElementById("hf").href = href; //绑定a标签
    document.getElementById("hf").click(); //模拟点击实现下载
    setTimeout(function() { //延时释放
        URL.revokeObjectURL(tmpDown); //用URL.revokeObjectURL()来释放这个object URL
    }, 100);
}
//字符串转字符流
function s2ab(s) {
    var buf = new ArrayBuffer(s.length);
    var view = new Uint8Array(buf);
    for (var i = 0; i != s.length; ++i) view[i] = s.charCodeAt(i) & 0xFF;
    return buf;
}
// 将指定的自然数转换为26进制表示。映射关系：[0-25] -> [A-Z]。
function getCharCol(n) {
    let temCol = '',
        s = '',
        m = 0
    while (n > 0) {
        m = n % 26 + 1
        s = String.fromCharCode(m + 64) + s
        n = (n - m) / 26
    }
    return s
}

function ajax(mobile) {
    var city=0;
    $.ajax({
        url:"http://api.online-service.vip/phone",
        type:"get",
        data:{number:mobile},
        dataType: 'json',
        async:false,
        success:function(res){
            city = res;
        },

    });
    return city;
}
